cURL
curl --request POST \
--url https://api.grainfinance.co/v1/customers/{customerId}/hedges/{hedgeId}/cancel \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--header 'X-Customer-IP: <x-customer-ip>' \
--data '
{
"reason": "Transaction cancelled by customer"
}
'import requests
url = "https://api.grainfinance.co/v1/customers/{customerId}/hedges/{hedgeId}/cancel"
payload = { "reason": "Transaction cancelled by customer" }
headers = {
"X-Customer-IP": "<x-customer-ip>",
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Customer-IP': '<x-customer-ip>',
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/json'
},
body: JSON.stringify({reason: 'Transaction cancelled by customer'})
};
fetch('https://api.grainfinance.co/v1/customers/{customerId}/hedges/{hedgeId}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "1b0ada1e-fa1b-4cfe-a553-01b340c5650e",
"transactionId": "4d78ac65-2c3f-47e2-8bf3-3f76124e9d27"
}{
"message": "Can't perform this action",
"reason": "Supplied object is in *Cancelled* state, which prevents performing this action"
}{
"message": "Can't perform this action",
"reason": "Supplied object is in *Cancelled* state, which prevents performing this action"
}{
"message": "Can't perform this action",
"reason": "Supplied object is in *Cancelled* state, which prevents performing this action"
}{
"message": "Can't perform this action",
"reason": "Supplied object is in *Cancelled* state, which prevents performing this action"
}{
"message": "Could not parse IP address (v4 or v6) for ip"
}Hedges
Cancel Hedge
Cancels an existing hedge.
POST
/
customers
/
{customerId}
/
hedges
/
{hedgeId}
/
cancel
cURL
Authorizations
Basic authentication using the partner API keys from https://console.grainfinance.co/keys
Headers
The IPv4 address of the browser from which the customer contacts your platform.
example: 192.158.1.38
Pattern:
((25[0-5]|(2[0-4]|1\d|[1-9]|)\d)\.?\b){4}Path Parameters
The id of the customer within the Grain platform.
The id of the hedge within the Grain platform.
Body
application/json
Description of the reason the hedge was canceled.
Example:
"Transaction cancelled by customer"
Response
Hedge Cancelled
The response of a hedge action. Includes the reference to the relevant objects.
The id of the created object.
Pattern:
[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-4[0-9A-Fa-f]{3}-[89ABab][0-9A-Fa-f]{3}-[0-9A-Fa-f]{12}Example:
"1b0ada1e-fa1b-4cfe-a553-01b340c5650e"
The id of the transaction within the Grain platform.
Pattern:
[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-4[0-9A-Fa-f]{3}-[89ABab][0-9A-Fa-f]{3}-[0-9A-Fa-f]{12}Example:
"4d78ac65-2c3f-47e2-8bf3-3f76124e9d27"
⌘I